Bug 1120299 - Review Request: perl-Inline-Struct - Manipulate C structures directly from Perl
Summary: Review Request: perl-Inline-Struct - Manipulate C structures directly from Perl
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1120293
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 16:37 UTC by Petr Šabata
Modified: 2014-08-12 12:12 UTC (History)
3 users (show)

Fixed In Version: perl-Inline-Struct-0.06-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-12 08:49:47 UTC
ppisar: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 97756 None None None Never

Description Petr Šabata 2014-07-16 16:37:41 UTC
Spec URL: http://psabata.fedorapeople.org/pkgs/perl-Inline-Struct/perl-Inline-Struct.spec
SRPM URL: http://psabata.fedorapeople.org/pkgs/perl-Inline-Struct/perl-Inline-Struct-0.06-1.fc20.src.rpm
Description:
Inline::Struct is not a new language. It's a language extension designed to
be used by Inline::C. It parses struct definitions and creates typemaps and 
XS code which bind each struct into a Perl class. This code is passed to
Inline::C, which compiles it in the normal way.
Fedora Account System Username: psabata

Comment 1 Petr Pisar 2014-08-04 14:49:06 UTC
URL and Source0 are usable. Ok.
Archive tar ball is original (SHA-256: c882ed94eb8011861ae70c566a0a37b857342b95233db99fa162aa2c3de26d67). Ok.

FATAL: The license statements contradict: README states "All Rights Reserved" while Struct.pod states "as Perl" but points to (Artistic) only. Please clarify it with upstream and/or Fedora legal departement.

Comment 2 Tom "spot" Callaway 2014-08-04 18:10:18 UTC
All Rights Reserved is a legal no-op. It means nothing, just ignore it.

Despite being a bit confusing, this is clearly meant to be under the same terms as Perl itself, which is "Artistic or GPL+" and is fine for Fedora.

Lifting FE-Legal.

Comment 3 Petr Pisar 2014-08-05 08:54:43 UTC
Thanks for clarification. I reported the link botch as <https://rt.cpan.org/Public/Bug/Display.html?id=97756> to the upstream.

Comment 4 Petr Pisar 2014-08-05 09:01:08 UTC
License verified from Struct.pod. Ok.
Summary verified from Struct.pod. Ok.
Description verified from Struct.pod. Ok.
No XS code, noarch BuildArch is Ok.

FIX: `perl(Parse::RecDEscent)' build-dependency is not provided by any package.

Comment 5 Petr Šabata 2014-08-05 12:24:27 UTC
Thanks.  Typo fixed and links updated.

Comment 6 Petr Pisar 2014-08-05 12:43:47 UTC
Spec file changes:

--- perl-Inline-Struct.spec.old 2014-07-17 16:25:42.000000000 +0200
+++ perl-Inline-Struct.spec     2014-08-05 14:23:55.000000000 +0200
@@ -13,7 +13,7 @@
 BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
 BuildRequires:  perl(Inline)
 BuildRequires:  perl(Inline::C)
-BuildRequires:  perl(Parse::RecDEscent)
+BuildRequires:  perl(Parse::RecDescent)
 BuildRequires:  perl(strict)
 BuildRequires:  perl(vars)
 Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

> FIX: `perl(Parse::RecDEscent)' build-dependency is not provided by any package.
-BuildRequires:  perl(Parse::RecDEscent)
+BuildRequires:  perl(Parse::RecDescent)
Ok.

All build-time dependencies are declared. Ok.
All tests pass. Ok.

$ rpmlint  perl-Inline-Struct.spec ../SRPMS/perl-Inline-Struct-0.06-1.fc22.src.rpm ../RPMS/noarch/perl-Inline-Struct-0.06-1.fc22.noarch.rpm 
perl-Inline-Struct.src: W: spelling-error %description -l en_US typemaps -> type maps, type-maps, typecast
perl-Inline-Struct.noarch: W: spelling-error %description -l en_US typemaps -> type maps, type-maps, typecast
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Inline-Struct-0.06-1.fc22.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Aug  5 14:32 /usr/share/doc/perl-Inline-Struct
-rw-r--r--    1 root    root                     1808 Jun 11  2001 /usr/share/doc/perl-Inline-Struct/README
-rw-r--r--    1 root    root                      619 May  2  2001 /usr/share/doc/perl-Inline-Struct/TODO
-rw-r--r--    1 root    root                     4017 Aug  5 14:32 /usr/share/man/man3/Inline::Struct.3pm.gz
drwxr-xr-x    2 root    root                        0 Aug  5 14:32 /usr/share/perl5/vendor_perl/Inline
drwxr-xr-x    2 root    root                        0 Aug  5 14:32 /usr/share/perl5/vendor_perl/Inline/Struct
-rw-r--r--    1 root    root                    10099 Jun 11  2001 /usr/share/perl5/vendor_perl/Inline/Struct.pm
-rw-r--r--    1 root    root                     5227 May 14  2001 /usr/share/perl5/vendor_perl/Inline/Struct.pod
-rw-r--r--    1 root    root                     4686 Jun 11  2001 /usr/share/perl5/vendor_perl/Inline/Struct/grammar.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Inline-Struct-0.06-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.18.2)
      1 perl(Carp)
      1 perl(Data::Dumper)
      1 perl(Inline)
      1 perl(Inline::Struct::grammar)
      1 perl(strict)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
FIX: Run-require `perl(Parse::RecDescent)' (Struct.pm:20).

$ rpm -q --provides -p ../RPMS/noarch/perl-Inline-Struct-0.06-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(Inline::Struct) = 0.06
      1 perl(Inline::Struct::grammar) = 0.10
      1 perl-Inline-Struct = 0.06-1.fc22
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Inline-Struct-0.06-1.fc22.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F22 (http://koji.fedoraproject.org/koji/taskinfo?taskID=7243399). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all the `FIX' items, and provides new spec file.
Resolution: NOT approved.

Comment 7 Petr Šabata 2014-08-05 14:11:09 UTC
Links updated.

Comment 8 Petr Pisar 2014-08-06 06:26:47 UTC
Spec file changes:

--- perl-Inline-Struct.spec.old 2014-08-05 14:23:55.000000000 +0200
+++ perl-Inline-Struct.spec     2014-08-05 16:10:54.000000000 +0200
@@ -17,6 +17,7 @@
 BuildRequires:  perl(strict)
 BuildRequires:  perl(vars)
 Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
+Requires:       perl(Parse::RecDescent)
 
 %description
 Inline::Struct is not a new language. It's a language extension designed to

All tests pass. Ok.

$ rpmlint  perl-Inline-Struct.spec ../SRPMS/perl-Inline-Struct-0.06-1.fc22.src.rpm ../RPMS/noarch/perl-Inline-Struct-0.06-1.fc22.noarch.rpm 
perl-Inline-Struct.src: W: spelling-error %description -l en_US typemaps -> type maps, type-maps, typecast
perl-Inline-Struct.noarch: W: spelling-error %description -l en_US typemaps -> type maps, type-maps, typecast
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
rpmlint is Ok.

> FIX: Run-require `perl(Parse::RecDescent)' (Struct.pm:20).
$ rpm -q --requires -p ../RPMS/noarch/perl-Inline-Struct-0.06-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.18.2)
      1 perl(Carp)
      1 perl(Data::Dumper)
      1 perl(Inline)
      1 perl(Inline::Struct::grammar)
      1 perl(Parse::RecDescent)
      1 perl(strict)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Inline-Struct-0.06-1.fc22.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F22 (http://koji.fedoraproject.org/koji/taskinfo?taskID=7246655). Ok.

Package is in line with Fedora and Perl packaging guidelines.
Resolution: Package APPROVED.

Comment 9 Petr Šabata 2014-08-11 14:39:20 UTC
New Package SCM Request
=======================
Package Name: perl-Inline-Struct
Short Description: Manipulate C structures directly from Perl
Upstream URL: http://search.cpan.org/dist/Inline-Struct/
Owners: psabata jplesnik ppisar
Branches: f21
InitialCC: perl-sig

Comment 10 Gwyn Ciesla 2014-08-11 15:43:46 UTC
Git done (by process-git-requests).

Comment 11 Petr Šabata 2014-08-12 08:49:47 UTC
Thank you both.

Comment 12 Petr Pisar 2014-08-12 10:29:09 UTC
Package Change Request
======================
Package Name: perl-Inline-Struct
Branches: f21 master
Owners: 
InitialCC: perl-sig

The package database is missing the InialCC records again. Please add them and fix your tool.

Comment 13 Gwyn Ciesla 2014-08-12 12:12:02 UTC
Complete.


Note You need to log in before you can comment on or make changes to this bug.